### Type parameters

- #### Variables

### Hierarchy

- PublishMessageRequest

## Index

### Properties

- correlationKey
- messageId
- name
- timeToLive
- variables

## Properties

### correlationKey

correlationKey: string

- Defined in lib/interfaces.ts:195

The value to match with the field specified as "Subscription Correlation Key" in BPMN

### Optional messageId

messageId: undefined | string

- Defined in lib/interfaces.ts:198

Unique ID for this message

### name

name: string

- Defined in lib/interfaces.ts:193

Should match the "Message Name" in a BPMN Message Catch

### timeToLive

timeToLive: number

- Defined in lib/interfaces.ts:196

### variables

variables: Variables

- Defined in lib/interfaces.ts:199

Generated using TypeDoc